package com.house365.ws.service.job;

import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.scheduling.quartz.QuartzJobBean;
import org.springframework.stereotype.Component;

/**
 * 定时调取发送信息接口
 * Created by Administrator on 2018/11/20.
 */
@Component
public class SendMessageJob extends QuartzJobBean {

    private static final Logger logger = LoggerFactory.getLogger(SendMessageJob.class);

    @Override
    protected void executeInternal(JobExecutionContext jobExecutionContext) throws JobExecutionException {
        try {
            System.out.println("1111");
        }catch (Exception e){
            e.printStackTrace();
            logger.error("定时发送短信失败");
        }
    }

}
